Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358076 - SELinux is preventing firewalld from 'write' accesses on the file /etc/sysconfig/network-scripts/ifcfg-Ethernet_connection_1.cliqp1z3.
Summary: SELinux is preventing firewalld from 'write' accesses on the file /etc/syscon...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:73a25b654db0e80d0839aaaab4b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 02:23 UTC by Kazuo Moriwaka
Modified: 2017-08-08 15:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:42:57 UTC


Attachments (Terms of Use)

Description Kazuo Moriwaka 2016-07-20 02:23:35 UTC
Description of problem:
SELinux is preventing firewalld from 'write' accesses on the file /etc/sysconfig/network-scripts/ifcfg-Ethernet_connection_1.cliqp1z3.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that firewalld should be allowed write access on the ifcfg-Ethernet_connection_1.cliqp1z3 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'firewalld' --raw | audit2allow -M my-firewalld
# semodule -X 300 -i my-firewalld.pp

Additional Information:
Source Context                system_u:system_r:firewalld_t:s0
Target Context                system_u:object_r:net_conf_t:s0
Target Objects                /etc/sysconfig/network-scripts/ifcfg-
                              Ethernet_connection_1.cliqp1z3 [ file ]
Source                        firewalld
Source Path                   firewalld
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.7-300.fc24.x86_64 #1 SMP Wed
                              Jun 8 18:12:45 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-07-19 13:47:16 JST
Last Seen                     2016-07-19 19:27:15 JST
Local ID                      d8de3094-5dcc-4fb3-9bdb-b887199b4874

Raw Audit Messages
type=AVC msg=audit(1468924035.996:11090): avc:  denied  { write } for  pid=30975 comm="firewalld" path="/etc/sysconfig/network-scripts/ifcfg-Ethernet_connection_1.cliqp1z3" dev="dm-1" ino=101921590 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0


Hash: firewalld,firewalld_t,net_conf_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.5.7-300.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Comment 1 Viorel Tabara 2016-07-27 06:36:28 UTC
I've got denials on several actions:

   [root@omiday ~]# ausearch -m avc -c firewalld | sed -n 's/.* { \([a-z]\+\) } .*/\1/p' | sort -u
   relabelfrom
   relabelto
   rename
   setattr
   unlink
   write
 
Adding to the mix bug 1356040 this looks like a more general denial.

The notes in bug 1304723 comment 18 recommend adjusting the policy, however I'm 
unsure about the rules to be included in order to cover all cases?

Comment 2 Fedora Admin XMLRPC Client 2016-09-27 15:10:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2017-07-25 21:54:26 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:42:57 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.